// ==========================================================================
// $Id: AktionBeep.java,v 1.1 2002/09/01 15:48:30 hitoshi Exp $
// Beep action
// ==========================================================================
// Copyright (C) 2002 Yamauchi, Hitoshi
//
//   Max-Planck-Institut fuer Informatik AG4
//   Stuhlsatzenhausweg 85, 66123 Saarbruecken
//   http://www.mpi-sb.mpg.de/
// 
// This software can be redistributed only under GNU copyleft.
//
// @author Yamauchi Hitoshi  
// ==========================================================================
// $Revision: 1.1 $
// $Date: 2002/09/01 15:48:30 $
// $Author: hitoshi $
// ==========================================================================
package de.mpg.mpisb.timerclock;

/**
 * a sample action : beep 
 * @see Actionable, ActionList
 */
public class AktionBeep extends Actionable
{
  /**
   * constructor
   */
  public AktionBeep(long firetime)
  {
    this.setActionTime(firetime);
  }

  /**
   * desctiption of this action
   */
  public String toString()
  {
    String s = "t = " + this.getActionTime() + ": beep";
    return(s);
  }

  /*============================================================
   * interface for action
   *===========================================================*/
  /**
   * do the action : change the color
   */
  public void doit()
  {
    java.awt.Toolkit.getDefaultToolkit().beep();
  }
}
